VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CTPW"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'
' Copyright (C) 2000-2001 SAP AG
'
'


' Module name
Const MODULE_NAME = "SQLStudioCrypt"

'
' Crypt & DeCrypt
'
Option Explicit
Public Function sqlStudioCt(strCt As String)
  On Error GoTo OnError_Msg_SQLStudioCt
    
  Const FUNCTION_NAME = "SQLStudioCt"
  
  Dim typPwCrypt As PW_CRYPT_TYPE
  Dim typPwClear As PW_CLEAR_TYPE
  
  typPwClear.s = Trim$(strCt)
  CryptPW typPwClear, typPwCrypt
  CryptToString typPwCrypt, strCt
                
  
  Exit Function
    
OnError_Msg_SQLStudioCt:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Function
Public Function sqlStudioDeCt(strDeCt As String)
    On Error GoTo OnError_Msg_SQLStudioDeCt
        
    Const FUNCTION_NAME = "SQLStudioDeCt"
    
    
    Dim typPwCrypt As PW_CRYPT_TYPE
    Dim typPwClear As PW_CLEAR_TYPE

    StringToCrypt strDeCt, typPwCrypt
    DeCryptPW typPwCrypt, typPwClear
    strDeCt = Trim(typPwClear.s)

    Exit Function
 
OnError_Msg_SQLStudioDeCt:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Function
